#include "convert.h"

using namespace std;

string const pieces_array_to_uniform_string(uint32_t const strength[], 
                                            int const n) {
  string uniform = "";
  uniform += animal_groups[strength[0]];
  for(int i = 1; i < n; ++i) {
    if(strength[i] == strength[i-1] + 1 && strength[i] % 2 == 1)
      uniform += "=";
    uniform += animal_groups[strength[i]];
  }
  return uniform;
}

void uniform_string_to_pieces_array(std::string uniform_string, 
                                    uint32_t strength[], 
                                    int n) {
  bool same_str = false;
  int  last_str = -1;
  n = 0;
  for(uint32_t i = 0; i < uniform_string.length(); ++i) {
    if(uniform_string[i] == '=') {
      same_str = true;
    } else {
      if(same_str) {
        strength[n] = last_str+1;
      } else {
        for(int j = last_str+1; j < 16; ++j) {
          cout << uniform_string[i] << "," << animal_groups[j] << endl;
          if(animal_groups[j] == uniform_string[i]){
            if( i > 0 ) {
              if(j - 1 > strength[n-1]) {
                strength[n] = j;
                break;
              }
            } else {
              strength[n] = j;
              break;
            }
          }
        }
      }
      cout << "added " << strength[n] << endl;
      last_str = strength[n];
      ++n;
      same_str = false;
    }
  }
  return;
}
