#if !defined(__convert_h__)
#define __convert_h__

#include "../core/move.h"
#include "../core/options.h"
#include "../core/position.h"

#include <cstdlib>
#include <iostream>
#include <string>
#include <map>

char const animal_groups[16] = { 'r', 'R', 'm', 'M', 'm', 'M', 'm', 'M', 
                                 'm', 'M', 'j', 'J', 'j', 'J', 'e', 'E' };

std::string const pieces_array_to_uniform_string(uint32_t const strength[], 
                                                 int const n);

void uniform_string_to_pieces_array(std::string uniform_string, 
                                    uint32_t strength[], 
                                    int n);

#endif
